/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGPDFDocument;

import dstep.corefoundation.CFURL;
import dstep.applicationservices.coregraphics.CGDataProvider;
import dstep.applicationservices.coregraphics.CGGeometry;
import dstep.applicationservices.coregraphics.CGPDFArray;
import dstep.applicationservices.coregraphics.CGPDFDictionary;
import dstep.applicationservices.coregraphics.CGPDFPage;

struct CGPDFDocument;

alias CGPDFDocument* CGPDFDocumentRef;

extern (C)
{
	CGPDFDocumentRef CGPDFDocumentCreateWithProvider (CGDataProviderRef provider);
	CGPDFDocumentRef CGPDFDocumentCreateWithURL (CFURLRef url);
	CGPDFDocumentRef CGPDFDocumentRetain (CGPDFDocumentRef document);
	void CGPDFDocumentRelease (CGPDFDocumentRef document);
	void CGPDFDocumentGetVersion (CGPDFDocumentRef document, int* majorVersion, int* minorVersion);
	bool CGPDFDocumentIsEncrypted (CGPDFDocumentRef document);
	bool CGPDFDocumentUnlockWithPassword (CGPDFDocumentRef document, char* password);
	bool CGPDFDocumentIsUnlocked (CGPDFDocumentRef document);
	bool CGPDFDocumentAllowsPrinting (CGPDFDocumentRef document);
	bool CGPDFDocumentAllowsCopying (CGPDFDocumentRef document);
	uint CGPDFDocumentGetNumberOfPages (CGPDFDocumentRef document);
	CGPDFPageRef CGPDFDocumentGetPage (CGPDFDocumentRef document, uint pageNumber);
	CGPDFDictionaryRef CGPDFDocumentGetCatalog (CGPDFDocumentRef document);
	CGPDFDictionaryRef CGPDFDocumentGetInfo (CGPDFDocumentRef document);
	CGPDFArrayRef CGPDFDocumentGetID (CGPDFDocumentRef document);
	uint CGPDFDocumentGetTypeID ();
	CGRect CGPDFDocumentGetMediaBox (CGPDFDocumentRef document, int page);
	CGRect CGPDFDocumentGetCropBox (CGPDFDocumentRef document, int page);
	CGRect CGPDFDocumentGetBleedBox (CGPDFDocumentRef document, int page);
	CGRect CGPDFDocumentGetTrimBox (CGPDFDocumentRef document, int page);
	CGRect CGPDFDocumentGetArtBox (CGPDFDocumentRef document, int page);
	int CGPDFDocumentGetRotationAngle (CGPDFDocumentRef document, int page);
}